from tkinter import *


def imc():
  def createframe(IMC):
    Label(IMC,text="Calcule  ton  IMC",bg="DarkSlategray1").grid(row=0,column=0,sticky=N)
    frame_1=Frame(IMC,bg="DarkSlategray1")
    frame_1.grid(row=1,column=0,sticky="NEWS",padx=10,pady=10,ipady=5)

    frame_2=Frame(IMC,bg="DarkSlategray1")
    frame_2.grid(row=2,column=0,sticky="NEWS",padx=10,pady=10,ipady=5)

    frame_3=Frame(IMC,bg="DarkSlategray1")
    frame_3.grid(row=3,column=0,sticky="NEWS",padx=10,pady=10,ipady=20)

    frame_bottom=Frame(IMC,bg="DarkSlategray1")
    frame_bottom.grid(row=4,column=0,sticky="NEWS",padx=10,pady=10,ipady=20)
    frame_bottom.columnconfigure(0,weight=0)
    frame_bottom.columnconfigure(1,weight=2)
    return frame_1,frame_2,frame_3,frame_bottom



  def IMCwindow():
    IMC=Tk()
    IMC.geometry("300x400")
    IMC.title("IMC")
    IMC.rowconfigure((0,1,2,3,4),weight=1)
    IMC.columnconfigure(0,weight=1)
    IMC.config(bg="DarkSlategray1")
    IMC.option_add("*Font","times15bold")
    return IMC




  def find_imc():
    height=height_var.get()
    weight=weight_var.get()
    if height and weight:
       height=float(height)/100.0
       imc=round(float(weight)/height**2,2)
       show_data.config(text=imc)
    else:
      show_data.config(text='')

      


  def widget(frame_1,frame_2,frame_3,frame_bottom):
    Label(frame_1,text="Taille en cm:",bg="DarkSlategray1").grid(row=0,column=0,padx=5,pady=5,sticky=W)
    ent_height=Entry(frame_1,bg="DarkOrange2",textvariable=height_var)
    ent_height.grid(row=1,column=0,ipadx=40,padx=10,sticky=N+W)

    Label(frame_2,text="Poids en kg:",bg="DarkSlategray1").grid(row=0,column=0,padx=5,pady=5,sticky=W)
    ent_weight=Entry(frame_2,bg="DarkOrange2",textvariable=weight_var)
    ent_weight.grid(row=1,column=0,ipadx=40,padx=10,sticky=N+W)

    Label(frame_3,text="IMC",bg="DarkSlategray1").grid(row=0,column=0,padx=5,pady=5,sticky=W)
    show_data=Label(frame_3)
    show_data.grid(row=1,column=0,ipadx=40,padx=10,sticky=N+W)

    Button(frame_bottom,text="Calculer",highlightbackground="lightgreen",fg="black",command=find_imc).grid(row=2,column=1)
    return ent_height,ent_weight,show_data



  def run():
    global height_var,weight_var,show_data
    IMC=IMCwindow()
    height_var=StringVar()
    weight_var=StringVar()
    frame_1,frame_2,frame_3,frame_bottom=createframe(IMC)
    ent_height,ent_weight,show_data=widget(frame_1,frame_2,frame_3,frame_bottom)
    IMC.mainloop()


    if __name__=="__IMC__":
      run()


      

  def info_IMC():

    F3=Tk()

    F3.title("A quoi correspond ton IMC:")

    F3.geometry("300x400")


    F3.config(background ="DarkSlategray1")

    width=F3.winfo_screenwidth()

    height=F3.winfo_screenheight()

    b2=Frame(F3,bg="DarkOrange2",bd=3,relief=SUNKEN)

    label_title=Label(b2,text="A quoi correspond ton IMC:",font=("italic",15),bg="DarkOrange2",fg='DarkSlategray1')

    label_title.pack()


    label_subtitle=Label(b2,text="imc <18.5:tu es maigre\n18.5 < imc < 25:tu es normal\n25 < imc < 30:tu es un peu enrobé\n30 < imc < 35: tu es obèse\nimc > 35: tu es balaise",font=("italic",10),bg="DarkOrange2",fg='DarkSlategray1')

    label_subtitle.pack()

    b2.pack(expand=YES)

    F3.mainloop()

    
  F1=Tk()

  F1.title("Quel est ton IMC ?")

  F1.geometry("1440x900")

  F1.minsize(800, 600)

  F1.config(background="DarkSlategray1")

  width=F1.winfo_screenwidth()

  height=F1.winfo_screenheight()



  b1=Frame(F1,bg="DarkOrange2",bd=3,relief=SUNKEN)

  label_title=Label(b1,text="Tu veux connaitre ton IMC?",font=("italic",15),bg="DarkOrange2",fg='DarkSlategray1')

  label_title.pack()


  label_subtitle=Label(b1,text="▁▂▃▄▅▆▇Bienvenue à toi█▇▆▅▄▂▁",font=("italic",10),bg="DarkOrange2",fg='DarkSlategray1')

  label_subtitle.pack()


  z1=Button(b1,text="Calcule ton IMC",font=("italic",10),bg="DarkOrange2",fg='DarkSlategray1',command=run)

  z1.pack(pady=25,fill=Y)

  z2=Button(b1,text="Infos sur ton IMC",font=("italic",10),bg="DarkOrange2",fg='DarkSlategray1',command=info_IMC)
  z2.pack(pady=45,fill=Y)


  b1.pack(expand=YES)


  F1.mainloop()


