from tkinter import*
def interet():
  def calculate_interest():
      principal = float(entry1.get())
      rate = float(entry2.get()) / 100
      years = int(entry3.get())
      interest = principal * rate * years
      final_capital = principal + interest
      result_label.config(text=f"Les intérêts sont de {interest:.2f}. Le capital final est de {final_capital:.2f}")

  # Fenêtre principale
  interet = Tk()
  interet.title("Calculateur d'intérêts")
  interet.config(bg="black")

  # Étiquette d'instruction
  instruction_label = Label(interet, text="Entrez le montant du capital, le taux d'intérêt et le nombre d'années :",bg="black",fg="white")
  instruction_label.grid(row=0, column=0, columnspan=2, pady=10)

  # Entrée du montant du capital
  capital_label = Label(interet, text="Capital :",bg="black",fg="white")
  capital_label.grid(row=1, column=0, pady=10)
  entry1 = Entry(interet)
  entry1.grid(row=1, column=1, pady=10)

  # Entrée du taux d'intérêt
  rate_label = Label(interet, text="Taux d'intérêt :",bg="black",fg="white")
  rate_label.grid(row=2, column=0, pady=10)
  entry2 = Entry(interet)
  entry2.grid(row=2, column=1, pady=10)

  # Entrée du nombre d'années
  years_label = Label(interet, text="Nombre d'années :",bg="black",fg="white")
  years_label.grid(row=3, column=0, pady=10)
  entry3 = Entry(interet)
  entry3.grid(row=3, column=1, pady=10)

  # Bouton de calcul
  calculate_button = Button(interet, text="Calculer les intérêts", command=calculate_interest,bg="black",fg="white")
  calculate_button.grid(row=4, column=0, columnspan=2, pady=10)

  # Étiquette de résultat
  result_label = Label(interet, text="",bg="black",fg="white")
  result_label.grid(row=5, column=0, columnspan=2, pady=10)

  interet.mainloop()


