from tkinter import*

joueur = "X"


def morpion():
    def check_gagnant(buttons):
        # Vérification des lignes
        for i in range(3):
            if buttons[i][0]["text"] == buttons[i][1]["text"] == buttons[i][2]["text"] and buttons[i][0]["text"] != "":
                return buttons[i][0]["text"]
        # Vérification des colonnes
        for i in range(3):
            if buttons[0][i]["text"] == buttons[1][i]["text"] == buttons[2][i]["text"] and buttons[0][i]["text"] != "":
                return buttons[0][i]["text"]
        # Vérification des diagonales
        if buttons[0][0]["text"] == buttons[1][1]["text"] == buttons[2][2]["text"] and buttons[0][0]["text"] != "":
            return buttons[0][0]["text"]
        if buttons[0][2]["text"] == buttons[1][1]["text"] == buttons[2][0]["text"] and buttons[0][2]["text"] != "":
            return buttons[0][2]["text"]
        return None

    def on_click(button):
        global joueur
        if button["text"] == "":
            button.config(text=joueur)
            winner = check_gagnant(buttons)
            if winner:
                result_label.config(text=f"{winner} a gagné !")
                for i in buttons:
                    for j in i:
                        j.config(state="disabled")
            elif all(b["text"] != "" for i in buttons for b in i):
                result_label.config(text="Match nul")
            else:
                joueur = "O" if joueur == "X" else "X"

    morpion = Tk()
    morpion.title("Morpion")
    morpion.config(bg="lavender")

    buttons = [[Button(morpion, text="", width=10, height=5,bg="lavender", command=lambda r=r, c=c: on_click(buttons[r][c])) for c in range(3)] for r in range(3)]

    for i, row in enumerate(buttons):
        for j, button in enumerate(row):
            button.grid(row=i, column=j)

    result_label = Label(morpion, bg="lavender",text="")
    result_label.grid(row=3, column=0, columnspan=3)


    morpion.mainloop()

