from tkinter import *
from tkinter import filedialog, messagebox

def note():
    def save_note():
        note = note_entry.get("1.0", END)
        filepath = filedialog.asksaveasfilename(defaultextension=".txt", filetypes=[("Text files", "*.txt"), ("All files", "*.*")])
        if filepath:
            try:
                with open(filepath, "w") as file:
                    file.write(note)
            except:
                messagebox.showerror("Error", "Il y a eu une erreur dans le chargement de la note")

    def load_note():
        filepath = filedialog.askopenfilename(filetypes=[("Fichiers text", "*.txt"), ("Tout les fichier", "*.*")])
        if filepath:
            try:
                with open(filepath, "r") as file:
                    note = file.read()
                    note_text.set(note)
                    note_entry.delete("1.0", END)
                    note_entry.insert("1.0", note)
            except:
                messagebox.showerror("Error", "Il y a eu une erreur dans le chargement de la note")

    note = Tk()
    note.tkraise()
    note.title("Note App")
    note.geometry("500x500")
    note_text = StringVar()
    note_text.set("Ecris tes notes ici...")
    note_label = Label(note, textvariable=note_text)
    note_label.pack()
    note_entry = Text(note, wrap='word')
    note_entry.pack(expand=True, fill='both')
    save_button = Button(note, text="Sauvegarder Note", command=save_note)
    save_button.pack()
    load_button = Button(note, text="Charger Note", command=load_note)
    load_button.pack()
    note.mainloop()




	

