from tkinter import*
from datetime import datetime


count = 0

def cps():
    def update_counter(count):
        clicks_per_second = count / (datetime.now() - start_time).total_seconds()
        label.config(text="Clics: {}\nClics par secondes: {:.2f}".format(count, clicks_per_second))

    def on_button_click(event):
        global count
        count += 1
        update_counter(count)

    cps = Tk()
    cps.title("Compteur de cliques")
    cps.config(bg="tomato")
    cps.geometry("200x150")

    start_time = datetime.now()
    label = Label(cps,bg="tomato",font=("Arial", 20))
    label.pack()

    button = Button(cps, text="Cliquez ici!")
    button.bind("<Button-1>", on_button_click)
    button.pack()

    cps.mainloop()
