#Import des modules de cartographie et de navigation web
from folium import*
from webbrowser import*

def carte():
  # Créer une carte centrée sur l'Afrique
  carte = Map(location=[30, 5], zoom_start=5)

  # Ajouter des marqueurs pour la Tunisie, l'Algérie et le Maroc
  Marker(location=[34, 9], popup='Tunisie', icon=Icon(color='red')).add_to(carte)
  Marker(location=[28, 3], popup='Algérie', icon=Icon(color='green')).add_to(carte)
  Marker(location=[32, -6], popup='Maroc', icon=Icon(color='blue')).add_to(carte)

  # Afficher la carte en passant par la création d'un fichier html
  carte.save('Carte.html')
  open("Carte.html")

