#import
from tkinter import*
from datetime import*


#import des fonctions/applications venant d'autres fichiers
from justeprix import*
from map import*
from interets import*
from imc import*
from calculatrice import*
from convertisseur import*
from note import*
from morpion import*
from pfc import*
from cps import*


#fenetre principale
main = Tk()
main.title("Tablette graphique")
main.config(bg='black')


#fond d'ecran
bg = PhotoImage(file="bg.png")
fondecran = Label(main, image=bg)
fondecran.config(bg="black")
fondecran.pack()



#Afficher main en grand ecran et paramétrer "echap" comme etant la touche pour sortir (detruire) de main


main.attributes('-fullscreen', True)
main.bind('<Escape>',lambda e: main.destroy())
  
#Label affichant l'heure actuelle
def show_date():
    date = datetime.now().strftime("%d/%m/%Y %H:%M:%S")
    labelheure.config(text=date)
    labelheure.after(1000, show_date)

labelheure = Label(main, font=("Arial", 30),bg="white")
labelheure.place(x=50,y=50)
labelheure.pack

show_date()




#Bouton IMC
#telecharger l'image
photo = PhotoImage(file = "imc(1).png")

#rogner l'image
nvimage = photo.subsample(11, 11)

#Création du bouton avec image
bouton = Button(main, image=nvimage, cursor="man",command=imc)
bouton.place(x=550, y=350)
bouton.pack




#Bouton juste prix

photo2 = PhotoImage(file = "justeprix.png")


nvimage2 = photo2.subsample(14, 8)

bouton2 = Button(main, image=nvimage2, cursor="man",command=justeprix)
bouton2.place(x=720, y=350)
bouton2.pack





#Bouton calculatrice

photo3 = PhotoImage(file = "calculatrice2.png")

nvimage3 = photo3.subsample(8, 8)

bouton3 = Button(main, image=nvimage3, cursor="man",command=calculatrice)
bouton3.place(x=880, y=350)
bouton3.pack




#Bouton carte

photo4 = PhotoImage(file = "map.png")

nvimage4 = photo4.subsample(7, 7)

bouton4 = Button(main, image=nvimage4,cursor="man", command=carte)
bouton4.place(x=1050, y=350)
bouton4.pack




#Bouton calculateur d'interets

photo5 = PhotoImage(file = "interet.png")

nvimage5 = photo5.subsample(14, 14)

bouton5 = Button(main, image=nvimage5, cursor="man",command=interet)
bouton5.place(x=1220, y=350)
bouton5.pack



#Bouton convertisseur ("echap" pour en sortir)

photo6 = PhotoImage(file = "convertisseur.png")

nvimage6 = photo6.subsample(10, 10)

bouton6 = Button(main, image=nvimage6,cursor="star", command=convertisseur)
bouton6.place(x=550, y=520)
bouton6.pack



#Bouton cachier de note 

photo7 = PhotoImage(file = "note.png")

nvimage7 = photo7.subsample(6, 6)

bouton7 = Button(main, image=nvimage7, cursor="star",command=note)
bouton7.config(bg="black")
bouton7.place(x=720, y=520)
bouton7.pack

#Bouton morpion

photo8 = PhotoImage(file = "morpion.png")

nvimage8 = photo8.subsample(6, 6)

bouton8 = Button(main, image=nvimage8,cursor="star", command=morpion)
bouton8.place(x=880, y=520)
bouton8.pack

#Bouton pierre papier ciseaux

photo9 = PhotoImage(file = "pfc.png")

nvimage9 = photo9.subsample(6, 6)

bouton9 = Button(main, image=nvimage9, cursor="star",command=pfc)
bouton9.place(x=1050, y=520)
bouton9.pack

#Bouton compteur de cliques

photo10 = PhotoImage(file = "cps.png")

nvimage10 = photo10.subsample(14, 8)

bouton10 = Button(main, image=nvimage10, cursor="star",command=cps)
bouton10.place(x=1220, y=520)
bouton10.pack


main.mainloop()
